<html>
<head>
<title>Ogre::LinearResampler Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1LinearResampler.html">LinearResampler</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::LinearResampler Struct Reference<div class="ingroups"><a class="el" href="group__Image.html">Image</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::LinearResampler" -->
<p><code>#include &lt;<a class="el" href="OgreImageResampler_8h_source.html">OgreImageResampler.h</a>&gt;</code></p>

<p><a href="structOgre_1_1LinearResampler-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1LinearResampler.html#a7a82c967cb98c1db45715509f72fc43b">scale</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreImageResampler_8h_source.html#l00094">94</a> of file <a class="el" href="OgreImageResampler_8h_source.html">OgreImageResampler.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7a82c967cb98c1db45715509f72fc43b"></a><!-- doxytag: member="Ogre::LinearResampler::scale" ref="a7a82c967cb98c1db45715509f72fc43b" args="(const PixelBox &amp;src, const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="structOgre_1_1LinearResampler.html#a7a82c967cb98c1db45715509f72fc43b">Ogre::LinearResampler::scale</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>dst</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreImageResampler_8h_source.html#l00095">95</a> of file <a class="el" href="OgreImageResampler_8h_source.html">OgreImageResampler.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::back</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::bottom</a>, <a class="el" href="OgrePixelFormat_8h_source.html#l00231">Ogre::PixelBox::data</a>, <a class="el" href="OgrePixelFormat_8h_source.html#l00233">Ogre::PixelBox::format</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::front</a>, <a class="el" href="OgreCommon_8h_source.html#l00721">Ogre::Box::getDepth()</a>, <a class="el" href="OgreCommon_8h_source.html#l00719">Ogre::Box::getHeight()</a>, <a class="el" href="classOgre_1_1PixelUtil.html#a1e39ec27d40f044a058e6fef850a1fbe">Ogre::PixelUtil::getNumElemBytes()</a>, <a class="el" href="OgrePixelFormat_8h_source.html#l00258">Ogre::PixelBox::getRowSkip()</a>, <a class="el" href="OgrePixelFormat_8h_source.html#l00263">Ogre::PixelBox::getSliceSkip()</a>, <a class="el" href="OgreCommon_8h_source.html#l00717">Ogre::Box::getWidth()</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::left</a>, <a class="el" href="classOgre_1_1PixelUtil.html#a793a7ae2bb8edec89ab520958ac33f40">Ogre::PixelUtil::packColour()</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::right</a>, <a class="el" href="OgreCommon_8h_source.html#l00662">Ogre::Box::top</a>, and <a class="el" href="OgreImageResampler_8h.html#aeb34b7ef2dbf4c91dd7c37f88e852c03">UNPACK</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreImageResampler_8h_source.html">OgreImageResampler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
